Package net.sf.saxon.expr

## Class AnalyzeMappingFunction

- java.lang.Object
- - net.sf.saxon.expr.AnalyzeMappingFunction

- All Implemented Interfaces:
    `ContextMappingFunction`

      public class AnalyzeMappingFunction
      extends java.lang.Object
      implements ContextMappingFunction

  Mapping function that maps the sequence of matching/non-matching strings to the sequence delivered by applying the matching-substring and non-matching-substring expressions respectively to each such string

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AnalyzeMappingFunction​(RegexIterator base, XPathContext c2, Expression nonMatchExpr, Expression matchingExpr)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `SequenceIterator` | `map​(XPathContext context)` | Map one item to a sequence.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AnalyzeMappingFunction

          public AnalyzeMappingFunction​(RegexIterator base,
                                        XPathContext c2,
                                        Expression nonMatchExpr,
                                        Expression matchingExpr)

  - ### Method Detail

    - #### map

          public SequenceIterator map​(XPathContext context)
                               throws XPathException

      Map one item to a sequence.
      Specified by:
        `map` in interface `ContextMappingFunction`
      Parameters:
        `context` - The processing context. Some mapping functions use this because they require context information. Some mapping functions modify the context by maintaining the context item and position. In other cases, the context may be null.
      Returns:
        either (a) a SequenceIterator over the sequence of items that the supplied input item maps to, or (b) an Item if it maps to a single item, or (c) null if it maps to an empty sequence.
      Throws:
        `XPathException` - if a dynamic error is detected